package models

import (
	"eta/eta_index_lib/global"
	"time"
)

type EdbInfoRecord struct {
	EdbInfoRecordId     int       `gorm:"primaryKey;autoIncrement;column:edb_info_record_id" description:"唯一记录ID"`
	EdbInfoId           int       `gorm:"column:edb_info_id" description:"指标ID"`
	OldEdbName          string    `gorm:"column:old_edb_name" description:"旧的指标名称"`
	OldFrequency        string    `gorm:"column:old_frequency" description:"旧的频率"`
	OldUnit             string    `gorm:"column:old_unit" description:"旧的单位"`
	NewEdbName          string    `gorm:"column:new_edb_name" description:"新的指标名称"`
	NewFrequency        string    `gorm:"column:new_frequency" description:"新的频率"`
	NewUnit             string    `gorm:"column:new_unit" description:"新的单位"`
	OperateUserId       int       `gorm:"column:operate_user_id" description:"执行人id"`
	OperateUserRealName string    `gorm:"column:operate_user_real_name" description:"执行人名称"`
	CreateTime          time.Time `gorm:"column:create_time" description:"记录的生成时间"`
	Timestamp           int64     `gorm:"column:timestamp" description:"时间戳"`
}

func AddEditEdbInfoRecord(edbRecord *EdbInfoRecord) (e error) {
	e = global.DEFAULT_DB.Create(edbRecord).Error

	return
}
